package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.block.ModBlockRegistry;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.init.Blocks;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class LampShadeRecipe extends ShapedRecipe
{
	public static final String ID = "LampShade";
	
	public LampShadeRecipe()
	{
		super(
			ID,
			new ItemStack(ModBlockRegistry.LampShade),
			new String[] {"VRV", "YTY", " S "},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character, ItemStack> legend = new HashMap<Character, ItemStack>();
		legend.put('T', new ItemStack(Blocks.torch));
		legend.put('S', new ItemStack(Blocks.wooden_slab));
		legend.put('R', new ItemStack(ModItemRegistry.RedFishScale));
		legend.put('V', new ItemStack(ModItemRegistry.VioletFishScale));
		legend.put('Y', new ItemStack(ModItemRegistry.YellowFishScale));
		return legend;
	}
}
