package org.colinvella.fancyfish.tileentity;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;
import org.colinvella.fancyfish.tileentity.renderer.FishTankTileEntityRenderer;

import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraftforge.fml.client.registry.ClientRegistry;

public class ModTileEntityRendererRegistry
{
    private static ModLogger logger;

    public static void registerTileEntityRenderers()
    {
        logger = FancyFishMod.getLogger();
        logger.info("Registering tile entity renderers...");
        ClientRegistry.bindTileEntitySpecialRenderer(FishTankTileEntity.class, new FishTankTileEntityRenderer());
    }
}

